{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}



unit WinForm;

interface

uses
  System.Drawing, System.Collections, System.ComponentModel,
  System.Windows.Forms, System.Data, od.demo.login;

type
  TWinForm = class(System.Windows.Forms.Form)
  {$REGION 'Designer Managed Code'}
  strict private
    /// <summary>
    /// Required designer variable.
    /// </summary>
    Components: System.ComponentModel.Container;
    TodLogin1: od.demo.login.TodLogin;
    ListBox1: System.Windows.Forms.ListBox;
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    procedure InitializeComponent;
    procedure TodLogin1_OnValidate(sender: System.Object; e: od.demo.login.OnLoginEventArgs);
    procedure TodLogin1_OnCreateAccountRequest(sender: System.Object; e: od.demo.login.OnLoginEventArgs);

  {$ENDREGION}
  strict protected
    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    procedure Dispose(Disposing: Boolean); override;
  private
    { Private Declarations }
  public
    constructor Create;
  end;

  [assembly: RuntimeRequiredAttribute(TypeOf(TWinForm))]

implementation

{$AUTOBOX ON}

{$REGION 'Windows Form Designer generated code'}
/// <summary>
/// Required method for Designer support -- do not modify
/// the contents of this method with the code editor.
/// </summary>
procedure TWinForm.InitializeComponent;
begin
  Self.ListBox1 := System.Windows.Forms.ListBox.Create;
  Self.TodLogin1 := od.demo.login.TodLogin.Create;
  Self.SuspendLayout;
  // 
  // ListBox1
  // 
  Self.ListBox1.Location := System.Drawing.Point.Create(224, 8);
  Self.ListBox1.Name := 'ListBox1';
  Self.ListBox1.Size := System.Drawing.Size.Create(208, 173);
  Self.ListBox1.TabIndex := 1;
  // 
  // TodLogin1
  // 
  Self.TodLogin1.BackColor := System.Drawing.Color.FromArgb((Byte(192)), (Byte(192)), 
      (Byte(255)));
  Self.TodLogin1.Location := System.Drawing.Point.Create(12, 8);
  Self.TodLogin1.Name := 'TodLogin1';
  Self.TodLogin1.Password := '';
  Self.TodLogin1.Size := System.Drawing.Size.Create(198, 99);
  Self.TodLogin1.TabIndex := 2;
  Self.TodLogin1.UserName := '';
  Include(Self.TodLogin1.OnCreateAccountRequest, Self.TodLogin1_OnCreateAccountRequest);
  Include(Self.TodLogin1.OnValidate, Self.TodLogin1_OnValidate);
  // 
  // TWinForm
  // 
  Self.AutoScaleBaseSize := System.Drawing.Size.Create(5, 13);
  Self.ClientSize := System.Drawing.Size.Create(440, 190);
  Self.Controls.Add(Self.TodLogin1);
  Self.Controls.Add(Self.ListBox1);
  Self.Name := 'TWinForm';
  Self.Text := 'WinForm';
  Self.ResumeLayout(False);
end;
{$ENDREGION}

procedure TWinForm.Dispose(Disposing: Boolean);
begin
  if Disposing then
  begin
    if Components <> nil then
      Components.Dispose();
  end;
  inherited Dispose(Disposing);
end;

constructor TWinForm.Create;
begin
  inherited Create;
  //
  // Required for Windows Form Designer support
  //
  InitializeComponent;
  //
  // TODO: Add any constructor code after InitializeComponent call
  //
end;

procedure TWinForm.TodLogin1_OnCreateAccountRequest(sender: System.Object; e: od.demo.login.OnLoginEventArgs);
begin
  Listbox1.Items.Add('<Cration compte>');
  Listbox1.Items.Add('User: '+e.username+' Pw: '+e.password);
  Listbox1.Items.Add('</Cration compte>');
  Listbox1.Items.Add('');
end;

procedure TWinForm.TodLogin1_OnValidate(sender: System.Object; e: od.demo.login.OnLoginEventArgs);
begin
  Listbox1.Items.Add('<Validation>');
  Listbox1.Items.Add('User: '+e.username+' Pw: '+e.password);
  Listbox1.Items.Add('</Validation>');
  Listbox1.Items.Add('');
end;





//procedure TWinForm.TodLogin1_OnCreateAccountRequest(sender: System.Object; Login: string;
//  Password: string);
//begin
//  Listbox1.Items.Add('<Cration compte>');
//  Listbox1.Items.Add('User: '+login+' Pw: '+password);
//  Listbox1.Items.Add('</Cration compte>');
//  Listbox1.Items.Add('');
//end;
//
//procedure TWinForm.TodLogin1_OnValidate(sender: System.Object; Login: string;
//  Password: string);
//begin
//  Listbox1.Items.Add('<Validation>');
//  Listbox1.Items.Add('User: '+login+' Pw: '+password);
//  Listbox1.Items.Add('</Validation>');
//  Listbox1.Items.Add('');
//end;

end.
