/*
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

*/



using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace TestOdLoginCS
{
	/// <summary>
	/// Summary description for WinForm.
	/// </summary>
	public class WinForm : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private OdLogin.ODLogin odLogin1;
		private System.Windows.Forms.TextBox textBox1;

		public WinForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.odLogin1 = new OdLogin.ODLogin();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// odLogin1
			// 
			this.odLogin1.BackColor = System.Drawing.Color.Gray;
			this.odLogin1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.odLogin1.ForeColor = System.Drawing.Color.White;
			this.odLogin1.Location = new System.Drawing.Point(16, 8);
			this.odLogin1.Name = "odLogin1";
			this.odLogin1.Password = null;
			this.odLogin1.Size = new System.Drawing.Size(208, 112);
			this.odLogin1.TabIndex = 0;
			this.odLogin1.UserName = null;
			this.odLogin1.ValidateInput += new OdLogin.OnLoginEvent(this.odLogin1_ValidateInput);
			this.odLogin1.CreateAccount += new OdLogin.OnLoginEvent(this.odLogin1_CreateAccount);
			// 
			// textBox1
			// 
			this.textBox1.AutoSize = false;
			this.textBox1.Location = new System.Drawing.Point(248, 10);
			this.textBox1.Multiline = true;
			this.textBox1.Name = "textBox1";
			this.textBox1.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textBox1.Size = new System.Drawing.Size(264, 214);
			this.textBox1.TabIndex = 1;
			this.textBox1.Text = "";
			// 
			// WinForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(528, 238);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.odLogin1);
			this.Name = "WinForm";
			this.Text = "WinForm";
			this.ResumeLayout(false);
		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new WinForm());
		}

		private void odLogin1_ValidateInput(object sender, OdLogin.OnLoginEventArgs e)
		{
			textBox1.AppendText("[Validate event]\r\n");
			textBox1.AppendText("User name: "+e.UserName);
			textBox1.AppendText("Password: "+e.Password);
			textBox1.AppendText("[/Validate event]\r\n");
			textBox1.AppendText("\r\n");
		}

		private void odLogin1_CreateAccount(object sender, OdLogin.OnLoginEventArgs e)
		{
			textBox1.AppendText("[Create accound event]\r\n");
			textBox1.AppendText("User name: "+e.UserName);
			textBox1.AppendText("Password: "+e.Password);
			textBox1.AppendText("[/Create accound event]\r\n");
			textBox1.AppendText("\r\n");
		}
	}
}
